# 行業子板塊層級樹

`GET` `/v1/quote/industries/peers`

獲取行業分組的層級子板塊樹，含各節點股票數量、日漲跌幅和年初至今漲跌幅。Counter ID 可從 `industry_rank` 返回結果中獲取。

## Parameters

### Query Parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `symbol` | string | Yes | 行業標識，如 `IN20245.HK`。 |
| `market` | string | Yes | 市場代碼：`US` / `HK` / `CN` / `SG` |

## Request Example

```bash
curl --request GET \
  --url 'https://openapi.longbridge.com/v1/quote/industries/peers?symbol=<symbol>&market=<market>' \
  --header 'Authorization: Bearer <access_token>'
```

## Response

### Response Properties

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `top` | object | No | 頂層行業資訊， |
| `chain` | object | No | 行業層級樹根節點， |
| `market` | string | No | 市場代碼 |
| `symbol` | string | No | 板塊標識（根節點上有值，子節點為空字符串）。 |
| `stock_num` | integer | No | 板塊內股票數量 |
| `chg` | string | No | 當日漲跌幅（小數，可能為空字串） |
| `ytd_chg` | string | No | 年初至今漲跌幅（小數，可能為空字串） |
| `next` | object[] | No | 子板塊列表，結構與當前節點相同（遞迴） |

### Response JSON Example

```json
{
  "code": 0,
  "message": "success",
  "data": {
    "top": {
      "name": "All Industries",
      "market": "US"
    },
    "chain": {
      "name": "Technology",
      "symbol": "IN00258.US",
      "stock_num": 542,
      "chg": "0.0231",
      "ytd_chg": "0.0875",
      "next": [
        {
          "name": "Online Consumer Electronics Retail",
          "symbol": "",
          "stock_num": 4,
          "chg": "0.0268",
          "ytd_chg": "-0.1869",
          "next": []
        }
      ]
    }
  }
}
```
